Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.DialogDescriptionElement Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| DialogDescriptionElement ()
| Constructor.
| DialogDescriptionElement (string name, string item_id, string type, string next_tab, int width, int height, int char_width, int char_height, string font, bool bold, bool italic, string alignment, string align_children, DialogDescriptionElementArray element_array)
| Constructor, with parameters. More...
| DialogDescriptionElement (DialogDescriptionElement dlg_des_element)
| Constructor, with another dialog description element object. More...
void | Set (string name, string item_id, string type, string next_tab, int width, int height, int char_width, int char_height, string font, bool bold, bool italic, string alignment, string align_children, DialogDescriptionElementArray element_array)
| Set values. More...

## Properties
string | align_children`[get, set]`
| The alignment for all descendants.
string | alignment`[get, set]`
| The alignment for this element.
bool | bold`[get, set]`
| Specify if the font is bold.
int | char_height`[get, set]`
| Specifies the height of the element in characters. More...
int | char_width`[get, set]`
| Specifies the width of the element in characters. More...
DialogDescriptionElementArray? | element_array`[get, set]`
| An array of object literals that describe the subelements of this dialog box element.
string | font`[get, set]`
| The font to use for this element. More...
int | height`[get, set]`
| Specifies the height of the element in pixels. More...
bool | italic`[get, set]`
| Specify if the font is italic.
string | item_id`[get, set]`
| An ItemID for this dialog box.
string | name`[get, set]`
| The displayed name of the dialog box element.
string | next_tab`[get, set]`
| An ItemID for the next dialog box item in the tab order.
string | type`[get, set]`
| The type of this dialog box element.
int | width`[get, set]`
| Specifies the width of the element in pixels. More...

## Detailed Description

This class represents a dialog box elements property specifies an object literal with the following set of properties.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionElement() [1/2]

foxit.pdf.actions.DialogDescriptionElement.DialogDescriptionElement | ( | string | name,
|  | string | item_id,
|  | string | type,
|  | string | next_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | string | font,
|  | bool | bold,
|  | bool | italic,
|  | string | alignment,
|  | string | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

## ◆ DialogDescriptionElement() [2/2]

foxit.pdf.actions.DialogDescriptionElement.DialogDescriptionElement | ( | DialogDescriptionElement | dlg_des_element | ) |
| inline

Constructor, with another dialog description element object.

Parameters

  [in] | dlg_des_element | Another dialog description element object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.DialogDescriptionElement.Set | ( | string | name,
|  | string | item_id,
|  | string | type,
|  | string | next_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | string | font,
|  | bool | bold,
|  | bool | italic,
|  | string | alignment,
|  | string | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

Returns
  None.

## Property Documentation

## ◆ char_height

int foxit.pdf.actions.DialogDescriptionElement.char_height
| get set

Specifies the height of the element in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

int foxit.pdf.actions.DialogDescriptionElement.char_width
| get set

Specifies the width of the element in characters.

If no width is specified, the combined width of the contents is used.

## ◆ font

string foxit.pdf.actions.DialogDescriptionElement.font
| get set

The font to use for this element.

It will be one of the following strings:

- "default" - Default font

- "dialog" - Dialog box font

- "palette" - Palette (small) Font

## ◆ height

int foxit.pdf.actions.DialogDescriptionElement.height
| get set

Specifies the height of the element in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

int foxit.pdf.actions.DialogDescriptionElement.width
| get set

Specifies the width of the element in pixels.

If no width is specified, the combined width of the contents is used.